Skip to main content
GET
/
v1
/
states
Get states
curl --request GET \
  --url https://api.example.com/v1/states
[
  {
    "id": 123,
    "dataset": {
      "id": 123,
      "name": "<string>",
      "isDisabled": true,
      "position": 123,
      "path": "<string>",
      "states": "<array>",
      "properties": [
        {
          "id": 123,
          "dataset": "<unknown>",
          "propertyType": {
            "id": "<string>",
            "isAutomatic": true,
            "isPlural": true,
            "isSortable": true,
            "position": 123
          },
          "name": "<string>",
          "isUsedAsTitle": true,
          "isRequired": true,
          "parameters": "<string>",
          "position": 123,
          "options": [
            {
              "id": 123,
              "property": "<unknown>",
              "text": "<string>",
              "color": 123
            }
          ]
        }
      ],
      "representations": [
        {
          "id": 123,
          "dashboard": {
            "id": 123,
            "name": "<string>",
            "isDisabled": true,
            "position": 123,
            "path": "<string>",
            "representations": "<array>"
          },
          "dataset": "<unknown>",
          "representationType": {
            "id": "<string>",
            "isAggregated": true,
            "position": 123
          },
          "name": "<string>",
          "parameters": "<string>",
          "position": 123
        }
      ]
    },
    "name": "<string>",
    "color": 123,
    "position": 123
  }
]

Query Parameters

sorting
string
offset
integer<int32>
limit
integer<int32>
fields
string

Response

OK

id
integer<int32>
dataset
object
name
string | null
color
integer<int64>
position
integer<int32>